Advertisement:

Author Topic: Need Help with packages  (Read 5059 times)

Offline Will1054

  • Semi-Newbie
  • *
  • Posts: 71
    • 3sS Global Gaming
Need Help with packages
« on: December 13, 2009, 10:14:46 PM »
I've been wanting to add a few packages to my SMF 2.0 RC2 forum.Mainly, Member Color Links and SMF Shop.Now, I can successfully download and install them but when I click "Redirect to Admin" the configuration settings is not there.

Please help me on this one.

Offline JBlaze

  • SMF Friend
  • SMF Super Hero
  • *
  • Posts: 12,160
  • Gender: Male
    • @fragicide on Twitter
Re: Need Help with packages
« Reply #1 on: December 13, 2009, 10:22:41 PM »
For which mod is this happening?
Jason Clemons
Former Lead Customizer/Support Specialist
Twitter | Facebook | Instagram

Offline Will1054

  • Semi-Newbie
  • *
  • Posts: 71
    • 3sS Global Gaming
Re: Need Help with packages
« Reply #2 on: December 14, 2009, 02:51:20 PM »
Member Color Link and SMF Shop

Offline hadesflames

  • SMF Hero
  • ******
  • Posts: 2,773
  • Gender: Male
  • C++ Coder
Re: Need Help with packages
« Reply #3 on: December 14, 2009, 04:33:46 PM »
The member color link mod is a default feature on 2.0, so no need to install that. Just go to Admin > Configuration > Current Theme

look for "Show group key on board index: " and tick that box, then click save. This should give you the desired effect. As for SMF Shop, are you getting anything in your error log?

Offline Will1054

  • Semi-Newbie
  • *
  • Posts: 71
    • 3sS Global Gaming
Re: Need Help with packages
« Reply #4 on: December 14, 2009, 06:49:26 PM »
Is there away to like make it so in like the last posts in a topic, on the Board, it shows the group key?

And I still have a problem getting the settings for SMF Shop to show.

Offline Will1054

  • Semi-Newbie
  • *
  • Posts: 71
    • 3sS Global Gaming
Re: Need Help with packages
« Reply #5 on: December 15, 2009, 06:46:05 PM »
Yeah, Everytime I Install a package it doesnt show up.When I go to un-install it every file says "Test Failed"

Please Help.

dkharp

  • Guest
Re: Need Help with packages
« Reply #6 on: December 16, 2009, 04:12:33 AM »
Will I am no expert but I've been down a road that might help. In fact when i was on 110 and upgraded  I had to run the upgrade package 4 times by way of ftp'in the right upgrade package and then use the upgrade.php

1. Check to make sure that you have the right version of mod to forum.
Quote
Manual Install Instructions for SMF

2. Being that 2.0 is not gold as they say. It's best to use
Quote
Manual Install Instructions for SMF
and do manual edits to your files. Not just the package installer by it self.

3. When you ftp the upgrade package , my issue was the ftp client and I was going through a router. So I changed ftp clients and plugged directly into my modem. When I did all the files were overwritten perfectly.

don't know if this helps.. but I feel your pain.  what is your website by the way?




Offline Will1054

  • Semi-Newbie
  • *
  • Posts: 71
    • 3sS Global Gaming
Re: Need Help with packages
« Reply #7 on: December 16, 2009, 11:43:28 AM »
fvglobal.netne.net

So where do I get this upgrade to run through my ftp?

Also, Im not the best manual editer of the filesd everytime I've tried of gotton errors and wasnt able to fix them lol.

Offline Will1054

  • Semi-Newbie
  • *
  • Posts: 71
    • 3sS Global Gaming
Re: Need Help with packages
« Reply #8 on: December 18, 2009, 12:11:59 PM »
Umm... Bump..

Offline Will1054

  • Semi-Newbie
  • *
  • Posts: 71
    • 3sS Global Gaming
Re: Need Help with packages
« Reply #9 on: December 19, 2009, 09:27:56 AM »
I just tried a few other mods and none of them showed up either.

Please Help!

Offline greyknight17

  • SMF Friend
  • SMF Super Hero
  • *
  • Posts: 14,890
  • Gender: Male
    • Kevin's Resource Center
Re: Need Help with packages
« Reply #10 on: February 18, 2010, 08:12:26 PM »
Is this issue resolved now?

Basically any mod you install is not working? Are the settings for them showing up properly in the admin panel (if applicable)? What theme are you using?

Create a folder called temp in your Packages directory and CHMOD it to 777. Then try installing the mod again.

Offline Will1054

  • Semi-Newbie
  • *
  • Posts: 71
    • 3sS Global Gaming
Re: Need Help with packages
« Reply #11 on: February 19, 2010, 04:55:35 PM »
Nope, this definitely isn't resolved.

This is what is happening, I go to install a mod, first I get that the package directory or one of the files in it isn't writable, So I make the "temp" folder, set it to 777, and I go to install again, I get all "Test Successful" or "Skipping File" so I proceed to the install it, I get the message saying "You will now be re-directed to package settings" it re-directs me...but no setting's.

For example, Member Color Link add's a category in the "Features and Options" section, It tekes me to Features and Options but no settings.So I go to Un-Install the package, This time it all says "Test Failed" so I proceed to un-install it.

So now I go to see if it happen's with other mods, this time I try it with "The Rules" mod, I download it into the package manager BUT at the top where it has info for the mod, support links and whatnot, it still has the Member Color Link info! So I check the "temp" folder, all the files from Member Color Link are still there, so I manually delete them from "temp", and try top install "The Rules" again, this time I get the same thing  as with color link, "Test successful", no settings,"test failed",un-install, files still in "temp".




kat

  • Guest
Re: Need Help with packages
« Reply #12 on: February 19, 2010, 05:05:30 PM »
Just to check the obvious...


You ARE using the SMF default theme?

Offline Will1054

  • Semi-Newbie
  • *
  • Posts: 71
    • 3sS Global Gaming
Re: Need Help with packages
« Reply #13 on: February 19, 2010, 05:22:37 PM »
Yes, That is correct.

kat

  • Guest
Re: Need Help with packages
« Reply #14 on: February 19, 2010, 05:25:10 PM »
Worth checking, though. ;)


Baffling, innit?

Offline Will1054

  • Semi-Newbie
  • *
  • Posts: 71
    • 3sS Global Gaming
Re: Need Help with packages
« Reply #15 on: February 19, 2010, 08:58:45 PM »
Still having this issue...

Also, I a few minutes ago I just re-installed RC2, while keeping the database and now for some reason noneof the thems will show up, I basically get an EXTREMELY Lite version.

Edit: Nevermind, I was just being stupid there, I got it back.

But After the re-install and a re tried this package manager, Even with the "temp" folder, at 777, I get "The Package Directory or one of the files in it are not writable".

And this Error:
Code: [Select]
Will1054
 142.68.234.151   
  Today at 09:04:28 PM
 cc85c62c3ee0108bcda6809abe7d6a51
 Type of error: General
http://3ssforums.freeiz.com/index.php?action=admin;area=packages;sa=install;package=MemberColorLink308.zip2: fclose(): supplied argument is not a valid stream resourceFile: /home/a9477442/public_html/Sources/Subs-Package.php
Line: 2492
« Last Edit: February 19, 2010, 09:10:09 PM by Will1054 »

Offline Will1054

  • Semi-Newbie
  • *
  • Posts: 71
    • 3sS Global Gaming
Re: Need Help with packages
« Reply #16 on: February 20, 2010, 10:28:15 AM »
Bump..

kat

  • Guest
Re: Need Help with packages
« Reply #17 on: February 20, 2010, 11:05:10 AM »
This is just an "I wonder..." thought, with that. You HAVE got the right version of that mod...?

Offline Will1054

  • Semi-Newbie
  • *
  • Posts: 71
    • 3sS Global Gaming
Re: Need Help with packages
« Reply #18 on: February 20, 2010, 11:22:09 AM »
Yup!

It's with multiple mod's too, not just one. And by multiple I mean all of them.

kat

  • Guest
Re: Need Help with packages
« Reply #19 on: February 20, 2010, 11:24:24 AM »
Do you have many other mods installed? Or, just the shop and colour links thing?

kat

  • Guest
Re: Need Help with packages
« Reply #20 on: February 20, 2010, 11:25:10 AM »
I SO wish people wouldn't put RC software on working sites...  ;)

Offline Will1054

  • Semi-Newbie
  • *
  • Posts: 71
    • 3sS Global Gaming
Re: Need Help with packages
« Reply #21 on: February 20, 2010, 03:29:35 PM »
I have NO Mod's installed!

I can't get any of them to work! I've tried lot's, the exact same thing happen's with all of them.

kat

  • Guest
Re: Need Help with packages
« Reply #22 on: February 20, 2010, 03:34:36 PM »
I'm wondering, then, if it might pay you to get the install package, dearchive it and upload everything but NOT Settings.php and install.php to your site, overwriting what's there, now.

Offline smartdeviceresource

  • Jr. Member
  • **
  • Posts: 133
    • Smart Device Resource
Re: Need Help with packages
« Reply #23 on: February 20, 2010, 03:35:05 PM »
Question: Does your server have PHP_Mod enabled?
after some thought, i've learned to be humble and leave the answering to the experts, until i too am an expert.  sorry to anyone who I've confused, with my answers

Offline Will1054

  • Semi-Newbie
  • *
  • Posts: 71
    • 3sS Global Gaming
Re: Need Help with packages
« Reply #24 on: February 20, 2010, 04:19:49 PM »
@Kat: So, I download full install, un-zip it and overwrite verything EXCEPT settings.php and install.php?

@smart: Umm, Not sure, How would I go about checking?

Offline Will1054

  • Semi-Newbie
  • *
  • Posts: 71
    • 3sS Global Gaming
Re: Need Help with packages
« Reply #25 on: February 20, 2010, 09:07:35 PM »
Would a phpinfo link help you guy's?

Offline Will1054

  • Semi-Newbie
  • *
  • Posts: 71
    • 3sS Global Gaming
Re: Need Help with packages
« Reply #26 on: February 21, 2010, 10:20:54 AM »
Bump..

kat

  • Guest
Re: Need Help with packages
« Reply #27 on: February 21, 2010, 11:02:05 AM »
Yep, that's what I meant.


Might be worth waiting to see what smartdeviceresource has to say, though, ay?

Offline Adish - (F.L.A.M.E.R)

  • SMF Friend
  • SMF Super Hero
  • *
  • Posts: 10,614
  • Gender: Male
  • I am a ninja!
    • adishpatel on Facebook
    • https://www.linkedin.com/in/adishpatel on LinkedIn
Re: Need Help with packages
« Reply #28 on: February 21, 2010, 11:09:15 AM »
Patience is the key to virtue my boy! :P

kat

  • Guest
Re: Need Help with packages
« Reply #29 on: February 21, 2010, 11:10:50 AM »
* Kat isn't virtuous... ;)

Offline Will1054

  • Semi-Newbie
  • *
  • Posts: 71
    • 3sS Global Gaming
Re: Need Help with packages
« Reply #30 on: February 21, 2010, 01:25:52 PM »
Alirght, I'll wait for smart device to return.

Offline smartdeviceresource

  • Jr. Member
  • **
  • Posts: 133
    • Smart Device Resource
Re: Need Help with packages
« Reply #31 on: February 22, 2010, 03:16:24 PM »
? what why wait for me to return? he means to check the host if they have PHP_Mod.  But I don't know how to go about that (my host advertised that they did, but I doubt most hosts make that info readily available, i.e. with out asking them, or maybe there is something in SMF that'll tell you IDK Sorry )
I may even be using the wrong term for it basically what I was saying is does your host allow for the modifcation of PHP.  In my travels on this site I've seen people not be able to modifiy and this was asked of them: whether the host allowed it. I tried to search out a post that has the question but haven't been able to find one (kinda this one, but I swear I've seen someone say PHP_Mod needs to be enabled :'( )

* nergal needs to learn to keep his mouth shut until he learns more
« Last Edit: February 22, 2010, 03:31:33 PM by smartdeviceresource »
after some thought, i've learned to be humble and leave the answering to the experts, until i too am an expert.  sorry to anyone who I've confused, with my answers

kat

  • Guest
Re: Need Help with packages
« Reply #32 on: February 22, 2010, 03:19:54 PM »
Well, you asked the question, so we thought there'd be a follow-up. :)

Offline smartdeviceresource

  • Jr. Member
  • **
  • Posts: 133
    • Smart Device Resource
Re: Need Help with packages
« Reply #33 on: February 22, 2010, 03:31:04 PM »
Kat posted while I edited Please see amended answer (and me reference ;) )
after some thought, i've learned to be humble and leave the answering to the experts, until i too am an expert.  sorry to anyone who I've confused, with my answers

kat

  • Guest
Re: Need Help with packages
« Reply #34 on: February 22, 2010, 03:40:36 PM »
Ta, mate. :)